com.jogamp.nativewindow.awt

## Class DirectDataBufferInt.BufferedImageInt

- java.lang.Object
- - java.awt.Image
  - - java.awt.image.BufferedImage
    - - com.jogamp.nativewindow.awt.DirectDataBufferInt.BufferedImageInt

- All Implemented Interfaces:
    RenderedImage, WritableRenderedImage, Transparency
  Enclosing class:
    DirectDataBufferInt

      public static class DirectDataBufferInt.BufferedImageInt
      extends BufferedImage

- - ### Field Summary

    - ### Fields inherited from class java.awt.image.BufferedImage

      `TYPE_3BYTE_BGR, TYPE_4BYTE_ABGR, TYPE_4BYTE_ABGR_PRE, TYPE_BYTE_BINARY, TYPE_BYTE_GRAY, TYPE_BYTE_INDEXED, TYPE_CUSTOM, TYPE_INT_ARGB, TYPE_INT_ARGB_PRE, TYPE_INT_BGR, TYPE_INT_RGB, TYPE_USHORT_555_RGB, TYPE_USHORT_565_RGB, TYPE_USHORT_GRAY`

    - ### Fields inherited from class java.awt.Image

      `SCALE_AREA_AVERAGING, SCALE_DEFAULT, SCALE_FAST, SCALE_REPLICATE, SCALE_SMOOTH, UndefinedProperty`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectDataBufferInt.BufferedImageInt(int customImageType, ColorModel cm, WritableRaster raster, Hashtable<?,?> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCustomType()`
    `String` | `toString()`

    - ### Methods inherited from class java.awt.image.BufferedImage

      `addTileObserver, coerceData, copyData, createGraphics, getAlphaRaster, getColorModel, getData, getData, getGraphics, getHeight, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getProperty, getPropertyNames, getRaster, getRGB, getRGB, getSampleModel, getSource, getSources, getSubimage, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getTransparency, getType, getWidth, getWidth, getWritableTile, getWritableTileIndices, hasTileWriters, isAlphaPremultiplied, isTileWritable, releaseWritableTile, removeTileObserver, setData, setRGB, setRGB`

    - ### Methods inherited from class java.awt.Image

      `flush, getAccelerationPriority, getCapabilities, getScaledInstance, setAccelerationPriority`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectDataBufferInt.BufferedImageInt

          public DirectDataBufferInt.BufferedImageInt(int customImageType,
                                              ColorModel cm,
                                              WritableRaster raster,
                                              Hashtable<?,?> properties)

  - ### Method Detail

    - #### getCustomType

          public int getCustomType()

      Returns:
        one of the custom image-type values `TYPE_INT_ARGB`, `TYPE_INT_ARGB_PRE`, `TYPE_INT_RGB` or `TYPE_INT_BGR`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BufferedImage`

Copyright 2010 JogAmp Community.